org.jboss.jca.core.spi.transaction

## Interface XAResourceStatistics

- All Superinterfaces:
    java.io.Serializable, StatisticsPlugin

      public interface XAResourceStatistics
      extends StatisticsPlugin

  XAResource statistics
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deltaCommit(long time)` Delta commit
    `void` | `deltaEnd(long time)` Delta end
    `void` | `deltaForget(long time)` Delta forget
    `void` | `deltaPrepare(long time)` Delta prepare
    `void` | `deltaRecover(long time)` Delta recover
    `void` | `deltaRollback(long time)` Delta rollback
    `void` | `deltaStart(long time)` Delta start
    `long` | `getCommitAverageTime()` Get the commit average time (milliseconds)
    `long` | `getCommitCount()` Get the commit count
    `long` | `getCommitMaxTime()` Get the commit max time (milliseconds)
    `long` | `getCommitTotalTime()` Get the commit total time (milliseconds)
    `long` | `getEndAverageTime()` Get the end average time (milliseconds)
    `long` | `getEndCount()` Get the end count
    `long` | `getEndMaxTime()` Get the end max time (milliseconds)
    `long` | `getEndTotalTime()` Get the end total time (milliseconds)
    `long` | `getForgetAverageTime()` Get the forget average time (milliseconds)
    `long` | `getForgetCount()` Get the forget count
    `long` | `getForgetMaxTime()` Get the forget max time (milliseconds)
    `long` | `getForgetTotalTime()` Get the forget total time (milliseconds)
    `long` | `getPrepareAverageTime()` Get the prepare average time (milliseconds)
    `long` | `getPrepareCount()` Get the prepare count
    `long` | `getPrepareMaxTime()` Get the prepare max time (milliseconds)
    `long` | `getPrepareTotalTime()` Get the prepare total time (milliseconds)
    `long` | `getRecoverAverageTime()` Get the recover average time (milliseconds)
    `long` | `getRecoverCount()` Get the recover count
    `long` | `getRecoverMaxTime()` Get the recover max time (milliseconds)
    `long` | `getRecoverTotalTime()` Get the recover total time (milliseconds)
    `long` | `getRollbackAverageTime()` Get the rollback average time (milliseconds)
    `long` | `getRollbackCount()` Get the rollback count
    `long` | `getRollbackMaxTime()` Get the rollback max time (milliseconds)
    `long` | `getRollbackTotalTime()` Get the rollback total time (milliseconds)
    `long` | `getStartAverageTime()` Get the start average time (milliseconds)
    `long` | `getStartCount()` Get the start count
    `long` | `getStartMaxTime()` Get the start max time (milliseconds)
    `long` | `getStartTotalTime()` Get the start total time (milliseconds)

    - ### Methods inherited from interface org.jboss.jca.core.spi.statistics.StatisticsPlugin

      `clear, getDescription, getDescription, getNames, getType, getValue, isEnabled, setEnabled`

- - ### Method Detail

    - #### getCommitCount

          long getCommitCount()

      Get the commit count
      Returns:
        The value

    - #### getCommitTotalTime

          long getCommitTotalTime()

      Get the commit total time (milliseconds)
      Returns:
        The value

    - #### getCommitAverageTime

          long getCommitAverageTime()

      Get the commit average time (milliseconds)
      Returns:
        The value

    - #### getCommitMaxTime

          long getCommitMaxTime()

      Get the commit max time (milliseconds)
      Returns:
        The value

    - #### deltaCommit

          void deltaCommit(long time)

      Delta commit
      Parameters:
        `time` - The milliseconds

    - #### getEndCount

          long getEndCount()

      Get the end count
      Returns:
        The value

    - #### getEndTotalTime

          long getEndTotalTime()

      Get the end total time (milliseconds)
      Returns:
        The value

    - #### getEndAverageTime

          long getEndAverageTime()

      Get the end average time (milliseconds)
      Returns:
        The value

    - #### getEndMaxTime

          long getEndMaxTime()

      Get the end max time (milliseconds)
      Returns:
        The value

    - #### deltaEnd

          void deltaEnd(long time)

      Delta end
      Parameters:
        `time` - The milliseconds

    - #### getForgetCount

          long getForgetCount()

      Get the forget count
      Returns:
        The value

    - #### getForgetTotalTime

          long getForgetTotalTime()

      Get the forget total time (milliseconds)
      Returns:
        The value

    - #### getForgetAverageTime

          long getForgetAverageTime()

      Get the forget average time (milliseconds)
      Returns:
        The value

    - #### getForgetMaxTime

          long getForgetMaxTime()

      Get the forget max time (milliseconds)
      Returns:
        The value

    - #### deltaForget

          void deltaForget(long time)

      Delta forget
      Parameters:
        `time` - The milliseconds

    - #### getPrepareCount

          long getPrepareCount()

      Get the prepare count
      Returns:
        The value

    - #### getPrepareTotalTime

          long getPrepareTotalTime()

      Get the prepare total time (milliseconds)
      Returns:
        The value

    - #### getPrepareAverageTime

          long getPrepareAverageTime()

      Get the prepare average time (milliseconds)
      Returns:
        The value

    - #### getPrepareMaxTime

          long getPrepareMaxTime()

      Get the prepare max time (milliseconds)
      Returns:
        The value

    - #### deltaPrepare

          void deltaPrepare(long time)

      Delta prepare
      Parameters:
        `time` - The milliseconds

    - #### getRecoverCount

          long getRecoverCount()

      Get the recover count
      Returns:
        The value

    - #### getRecoverTotalTime

          long getRecoverTotalTime()

      Get the recover total time (milliseconds)
      Returns:
        The value

    - #### getRecoverAverageTime

          long getRecoverAverageTime()

      Get the recover average time (milliseconds)
      Returns:
        The value

    - #### getRecoverMaxTime

          long getRecoverMaxTime()

      Get the recover max time (milliseconds)
      Returns:
        The value

    - #### deltaRecover

          void deltaRecover(long time)

      Delta recover
      Parameters:
        `time` - The milliseconds

    - #### getRollbackCount

          long getRollbackCount()

      Get the rollback count
      Returns:
        The value

    - #### getRollbackTotalTime

          long getRollbackTotalTime()

      Get the rollback total time (milliseconds)
      Returns:
        The value

    - #### getRollbackAverageTime

          long getRollbackAverageTime()

      Get the rollback average time (milliseconds)
      Returns:
        The value

    - #### getRollbackMaxTime

          long getRollbackMaxTime()

      Get the rollback max time (milliseconds)
      Returns:
        The value

    - #### deltaRollback

          void deltaRollback(long time)

      Delta rollback
      Parameters:
        `time` - The milliseconds

    - #### getStartCount

          long getStartCount()

      Get the start count
      Returns:
        The value

    - #### getStartTotalTime

          long getStartTotalTime()

      Get the start total time (milliseconds)
      Returns:
        The value

    - #### getStartAverageTime

          long getStartAverageTime()

      Get the start average time (milliseconds)
      Returns:
        The value

    - #### getStartMaxTime

          long getStartMaxTime()

      Get the start max time (milliseconds)
      Returns:
        The value

    - #### deltaStart

          void deltaStart(long time)

      Delta start
      Parameters:
        `time` - The milliseconds

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)